<?php 
//Bottom Header
    $wp_customize->add_section( 'peccular_footer_setting' , array(
        'title'    => __( 'Footer Setting', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel1'
    ) );
 

   $wp_customize->add_setting('peccular_footer_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));
 
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_footer_nav', array(
       'section' => 'peccular_footer_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_footer_copyrighttext',
                'peccular_newsletter_enable',              
                'peccular_newsletter_maintitle',
                'peccular_newsletter_text',                
                'peccular_newsletter_shortcode'
               
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(     

                'peccular_footer_section_bg_color',
                'peccular_footer_section_bg_image',
                'peccular_footer_image_opacity',
                'peccular_footer_box_align', 
                'peccular_footer_copyright_align',   
                'peccular_footer_onload_effects',
                'peccular_footer_heading_color',
                'peccular_footer_text_color',
                'peccular_footer_sicon_color',
                'peccular_footer_siconBG_color',
                'peccular_footer_siconhover_color',
                'peccular_footer_siconhoverBG_color',
                'peccular_footer_menu_color',
                'peccular_footer_menuhover_color', 
                'peccular_footer_activemenu_color',
                'peccular_footer_phoneemailicon_color',
                'peccular_footer_bttmfooterbg_color',         
                'peccular_footer_cprighttext_color',        
                'peccular_newsletter_box_onload_effects',
                'peccular_newsletter_heading_color',
                'peccular_newsletter_formtext_color',               
                'peccular_newsletter_btntext_color',
                'peccular_newsletter_btnbg_color',
                'peccular_newsletter_boxbg_color',
                'peccular_newslettercolors_heading',
                'peccular_footercolors_heading',
               
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_footer_padding',
                'peccular_footer_section_top_t_padding',
                'peccular_footer_section_top_b_padding',
                'peccular_footer_padding1',
                'peccular_footer_section_bottom_t_padding',
                'peccular_footer_section_bottom_b_padding',     
                'peccular_footer_section_width',

            ),
         )
        ),
    )));

// $wp_customize->add_setting( 'peccular_newsletter_enable',array(
//     'default' => true,
//     'sanitize_callback' => 'peccular_switch_sanitization'
// ) );
// $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_newsletter_enable',array(
//     'label' => __( 'Disable Section','peccular' ),
//     'section' => 'peccular_footer_setting'
// )));

$wp_customize->add_setting(
    'peccular_newsletter_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Subscribe to Our Newsletter', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_newsletter_maintitle',
    array(
        'settings'      => 'peccular_newsletter_maintitle',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Newsletter Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_newsletter_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Enjoy 15% off* your first order when you sign up to our newsletter', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_newsletter_text',
    array(
        'settings'      => 'peccular_newsletter_text',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Newsletter Text', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_newsletter_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add your form shortcode on customiser', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_newsletter_shortcode',
    array(
        'settings'      => 'peccular_newsletter_shortcode',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'textarea',
        'label'         => __( 'Form Shortcode ', 'peccular' )
    )
);    

$wp_customize->add_setting(
    'peccular_footer_copyrighttext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '© 2021 Business All Rights Reserved', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_footer_copyrighttext',
    array(
        'settings'      => 'peccular_footer_copyrighttext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Copyright', 'peccular' ),
          'input_attrs' => array(
            'readonly' => 'readonly',
        ),
    )
);

$wp_customize->add_setting( 'peccular_footer_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_footer_section_bg_color', array(
        'label' => __('Background Color','peccular'),
       'section' => 'peccular_footer_setting',
    )));

    $wp_customize->add_setting( 'peccular_footer_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_footer_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_footer_setting',
    )));


     $wp_customize->add_setting('peccular_footer_image_opacity',array(
        'default' => 0.3,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_footer_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_footer_setting',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

  $wp_customize->add_setting('peccular_footer_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));

$wp_customize->add_setting('peccular_footer_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));

    $wp_customize->add_setting('peccular_footer_copyright_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_copyright_align',array(
        'type' => 'select',
        'label' => __('Copyright Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));
//Newsletter colos  

 $wp_customize->add_setting(
        'peccular_newslettercolors_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_newslettercolors_heading',
            array(
                'settings'      => 'peccular_newslettercolors_heading',
                'section'       => 'peccular_footer_setting',
                'label'         => __( 'Newsletter Colors', 'peccular Premium' ),
    ))); 

addColorPalatOption($wp_customize, 'peccular_newsletter_heading_color', 'peccular_footer_setting', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_formtext_color', 'peccular_footer_setting', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_boxbg_color', 'peccular_footer_setting', 'Newsletter Form BG Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_btntext_color', 'peccular_footer_setting', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_btnbg_color', 'peccular_footer_setting', 'Button BG Color ', '');

//footer colors

 $wp_customize->add_setting(
        'peccular_footercolors_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_footercolors_heading',
            array(
                'settings'      => 'peccular_footercolors_heading',
                'section'       => 'peccular_footer_setting',
                'label'         => __( 'Footer Colors', 'peccular Premium' ),
    ))); 

addColorPalatOption($wp_customize, 'peccular_footer_heading_color', 'peccular_footer_setting', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_text_color', 'peccular_footer_setting', 'Text color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_sicon_color', 'peccular_footer_setting', 'Social Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_footer_siconBG_color', 'peccular_footer_setting', 'Social Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconhover_color', 'peccular_footer_setting', 'Social Icon Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconhoverBG_color', 'peccular_footer_setting', 'Social Icon BG Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_footer_menu_color', 'peccular_footer_setting', 'Menu Color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_menuhover_color', 'peccular_footer_setting', 'Menu Hover Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_activemenu_color', 'peccular_footer_setting', 'Active Menu Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_phoneemailicon_color', 'peccular_footer_setting', 'Phone/Email Icon color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_bttmfooterbg_color', 'peccular_footer_setting', 'Bottom Footer BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_cprighttext_color', 'peccular_footer_setting', 'Copyright Text Color ', '');



    $wp_customize->add_setting('peccular_footer_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_footer_padding',array(
      'label' => __('Top Footer Padding','peccular'),
      'section' => 'peccular_footer_setting'
   ));


    $wp_customize->add_setting('peccular_footer_section_top_t_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_top_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
    ));
    $wp_customize->add_setting('peccular_footer_section_top_b_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_top_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
    ));


    $wp_customize->add_setting('peccular_footer_padding1',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_footer_padding1',array(
      'label' => __('Bottom Footer Padding','peccular'),
      'section' => 'peccular_footer_setting'
   ));


    $wp_customize->add_setting('peccular_footer_section_bottom_t_padding',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_bottom_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
    ));
     $wp_customize->add_setting('peccular_footer_section_bottom_b_padding',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_bottom_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
    ));


    $wp_customize->add_setting('peccular_footer_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));
?>