<?php 
// /HEADER SETTINGS IN CUSTOMIZER
  $lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel2', array(
    'title' => 'Header',
    'panel' => 'peccular_header_panel1',
    'priority' => 1,
  ));
  
  $wp_customize->add_panel( $lvl2ParentPanel );
 

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test',
    'panel' => 'peccular_header_panel2',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_header_section' , array(
        'title'    => __( 'All Settings', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel2'
    ) );

    $wp_customize->add_setting('peccular_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_allsetting_nav', array(
       'section' => 'peccular_header_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_show_sticky_header',
                'peccular_header_style',
                'peccular_header_width',             
                'peccular_header_fb',
                'peccular_header_tw',
                'peccular_header_in',
                'peccular_header_youtube',
                'peccular_header_instagram',
                'peccular_header_whatsapp',
                'peccular_header_pinterest',
                'peccular_header_contlabel',
                'peccular_topheader_phone',
                'peccular_topheader_locationtext',
                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(  
                // 'header_stickybgColor',           
                'header_topbgColor1',
                'header_topbgColor2',
                'header_bottombgovrColor1',
                'header_bottombgovrColor2',
                'header_logoBGColor1',
                'header_logoBGColor2',
                'header_SiteTitleColor',
                'header_SiteTaglineColor',                
                'headereemail_color',
                'headereemailhove_color',
                'headereemailicon_color',
                'headerborder_color',                
                'headerphoneBG_color',               
                'header_bottombgovrColor',
                'headerphonenum_color'

            ),
         )
        ),
    )));
    
    $wp_customize->add_setting( 'peccular_show_sticky_header',array(
        'default' => false,
        'sanitize_callback' => 'peccular_switch_sanitization'
   ) );
   $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_show_sticky_header',array(
        'label' => __( 'Show Sticky Header','peccular' ),
        'section' => 'peccular_header_section'
   )));


    $wp_customize->add_setting('peccular_header_style',array(
        'default' => 'On Slider',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_style',array(
        'type' => 'select',
        'label' => __('Header Style','peccular'),
        'choices' => array (
            'Above Slider' => __('Above Slider','peccular'),
            'On Slider' => __('On Slider','peccular')
        ),
        'section' => 'peccular_header_section',
    ));

    $wp_customize->add_setting('peccular_header_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_header_section',
    ));


    $wp_customize->add_setting('peccular_topheader_locationtext',array(       
        'sanitize_callback' => 'peccular_sanitize_text',
        'default' => __('2093 Davis Lane Denver, CO 80202','peccular-premium')
    ));
    $wp_customize->add_control('peccular_topheader_locationtext',array(
        'settings'      => 'peccular_topheader_locationtext',
        'type' => 'text',
        'label' => __('Add Address','peccular-premium'),
        'section' => 'peccular_header_section',
    ));

    $wp_customize->add_setting('peccular_topheader_phone',array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default' => __('111 222 333 444','peccular-premium')
    ));
    $wp_customize->add_control('peccular_topheader_phone',array(
        'settings'      => 'peccular_topheader_phone',
        'type' => 'text',
        'label' => __('Add Phone Number','peccular-premium'),
        'section' => 'peccular_header_section',
    ));

   // $wp_customize->add_setting('peccular_topheader_phone_text',array(
   //      'sanitize_callback' => 'peccular_sanitize_phone_number',
   //      'default' => __('CALL NOW','peccular-premium')
   //  ));
   //  $wp_customize->add_control('peccular_topheader_phone_text',array(
   //      'settings'      => 'peccular_topheader_phone_text',
   //      'type' => 'text',
   //      'label' => __('Add Phone Text','peccular-premium'),
   //      'section' => 'peccular_header_section',
   //  ));

    // $wp_customize->add_setting( 'peccular_about_section_bg_image', array(
    //    'default' => '',
    //    'sanitize_callback' => 'esc_url_raw'
    // ));
    // $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
    //     'label' => __('Section Background Image','peccular'),
    //    'section' => 'peccular_about_section',
    // )));



// FACEBOOK 
// $wp_customize->add_setting('peccular_header_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('peccular_header_fb',
//     array(
//         'settings'      => 'peccular_header_fb',
//         'section'       => 'peccular_header_section',
//         'type'          => 'url',
//         'label'         => __( 'Facebook Url', 'peccular-premium' )
//     )
// );
// // TWITTER
// $wp_customize->add_setting('peccular_header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('peccular_header_tw',
//     array(
//         'settings'      => 'peccular_header_tw',
//         'section'       => 'peccular_header_section',
//         'type'          => 'url',
//         'label'         => __( 'Twitter Url', 'peccular-premium' )
//     )
// );


// // Instagram IN
// $wp_customize->add_setting('peccular_header_instagram',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('peccular_header_instagram',
//     array(
//         'settings'      => 'peccular_header_instagram',
//         'section'       => 'peccular_header_section',
//         'type'          => 'url',
//         'label'         => __( 'Instagram Url', 'peccular-premium' )
//     )
// );


// // LINKED IN
// $wp_customize->add_setting('peccular_header_in',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('peccular_header_in',
//     array(
//         'settings'      => 'peccular_header_in',
//         'section'       => 'peccular_header_section',
//         'type'          => 'url',
//         'label'         => __( 'Linkedin Url', 'peccular-premium' )
//     )
// );

// // Pinterest
// $wp_customize->add_setting('peccular_header_pinterest',array('default'=> 'https://pinterest.com','sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('peccular_header_pinterest',
//     array(
//         'settings'      => 'peccular_header_pinterest',
//         'section'       => 'peccular_header_section',
//         'type'          => 'url',
//         'label'         => __( 'Pinterest Url', 'peccular-premium' )
//     )
// );

// // Youtube IN
// $wp_customize->add_setting('peccular_header_youtube',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('peccular_header_youtube',
//     array(
//         'settings'      => 'peccular_header_youtube',
//         'section'       => 'peccular_header_section',
//         'type'          => 'url',
//         'label'         => __( 'Youtube Url', 'peccular-premium' )
//     )
// );



// // Whatsapp IN
// $wp_customize->add_setting('peccular_header_whatsapp',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('peccular_header_whatsapp',
//     array(
//         'settings'      => 'peccular_header_whatsapp',
//         'section'       => 'peccular_header_section',
//         'type'          => 'url',
//         'label'         => __( 'Whatsapp Url', 'peccular-premium' )
//     )
// );

    


addColorPalatOption($wp_customize, 'header_topbgColor1', 'peccular_header_section', 'Top BG Color', '');
addColorPalatOption($wp_customize, 'header_topbgColor2', 'peccular_header_section', 'Top BG Color', '');

addColorPalatOption($wp_customize, 'header_bottombgovrColor1', 'peccular_header_section', 'Bottom BG Color', '');
addColorPalatOption($wp_customize, 'header_bottombgovrColor2', 'peccular_header_section', 'Bottom BG Color', '');

addColorPalatOption($wp_customize, 'header_logoBGColor1', 'peccular_header_section', 'Logo BG Color', '');
addColorPalatOption($wp_customize, 'header_logoBGColor2', 'peccular_header_section', 'Logo BG Color', '');

// addColorPalatOption($wp_customize, 'header_stickybgColor', 'peccular_header_section', 'Sticky BG Color', '');
addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'peccular_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'peccular_header_section', 'Tagline Color', '');

addColorPalatOption($wp_customize, 'headereemailicon_color', 'peccular_header_section', 'Address Icon Color', '');

addColorPalatOption($wp_customize, 'headereemail_color', 'peccular_header_section', 'Address Text Color', '');

addColorPalatOption($wp_customize, 'headerphoneBG_color', 'peccular_header_section', 'Phone BG Color', '');
addColorPalatOption($wp_customize, 'headerphonenum_color', 'peccular_header_section', 'Phone Number Color', '');

addColorPalatOption($wp_customize, 'headereemailhove_color', 'peccular_header_section', 'Address Hover Color', '');
?>