<?php 
$wp_customize->add_section(
    'peccular_sports_section',
    array( 
        'title'   => __( 'sports', 'peccular' ),
        'panel'   => 'peccular_premium_home_panel1',
        'priority' =>19
    ) 
);  
    
// $wp_customize->add_setting('peccular_sports_reset_settings',array(
//   'sanitize_callback'   => 'sanitize_text_field'
// )); 
// $wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_sports_reset_settings',array(
//   'type' => 'reset_control',
//    'priority' => 1,
//   'label' => __('Reset sports Section Settings', 'peccular'),
//   'description' => 'peccular_sports_reset_settings',
//   'section' => 'peccular_sports_section'
// ))); 

$wp_customize->add_setting('peccular_sports_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_sports_nav', array(
       'section' => 'peccular_sports_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_sports_enable', 
                'peccular_sports_maintitle',
                'peccular_sports_area_lbl',
                'peccular_sports_section_lbl', 
                'peccular_sports_section_imglbl',
                'peccular_sports_number', 
                'peccular_sports_heading1',
                'peccular_sports_heading2',
                'peccular_sports_heading3',
                'peccular_sports_heading4',
                'peccular_sports_heading5',
                'peccular_sports_heading6',
                'peccular_sports_heading7',
                'peccular_sports_heading8',
                'peccular_sports_heading9',
                'peccular_sports_heading10',
                'peccular_sports_heading11',
                'peccular_sports_heading12',
                'peccular_sports_page1',
                'peccular_sports_page2',
                'peccular_sports_page3',
                'peccular_sports_page4',
                'peccular_sports_page5',
                'peccular_sports_page6',
                'peccular_sports_page7',
                'peccular_sports_page8',
                'peccular_sports_page9',
                'peccular_sports_page10',
                'peccular_sports_page11',
                'peccular_sports_page12',
                'peccular_sports_button_enable',
                'peccular_sports_button_text'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_sports_section_bg_color',
                'peccular_sports_section_bg_image',
                'peccular_sports_image_opacity',  
                'peccular_sports_imghover_color',
                'peccular_sports_box_onload_effects',
                'peccular_sports_title_case',
                'peccular_sports_head_align',
                'peccular_sports_content_align',
                'peccular_sports_titleHover_color1',
                'peccular_sports_heading_color1',
                'peccular_sports_title_color1',
                'peccular_sports_btntxt_color',
                'peccular_sports_btnHvrtxt_color',
                'peccular_sports_imgHvrOverly_color1',
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_sports_padding',
                'peccular_sports_top_padding',
                'peccular_sports_bottom_padding',
                'peccular_sports_section_width',  
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_sports_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_sports_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_sports_section'
)));

$wp_customize->add_setting(
    'peccular_sports_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Our Sports', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_sports_maintitle',
    array(
        'settings'      => 'peccular_sports_maintitle',
        'section'       => 'peccular_sports_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

$sportsSingleChoice[] = 'select';
if(!is_array($sportsSingleChoice)){
    $wp_customize->add_setting('peccular_sports_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
        new peccular_Info_Text( 
            $wp_customize,
            'peccular_sports_area_lbl',
            array(
                'settings'      => 'peccular_sports_area_lbl',
                'section'       => 'peccular_sports_section',
                'label'         => __( 'Note:', 'peccular Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the sports.</strong> <br/>Please add the sports from "sports menu" and then select sports to show information.', 'peccular Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('peccular_sports_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_sports_section_lbl',
        array(
            'settings'      => 'peccular_sports_section_lbl',
            'section'       => 'peccular_sports_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Just place the shortcode "[SPORTS]" in your page to list the sports in a page ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting('peccular_sports_section_imglbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_sports_section_imglbl',
        array(
            'settings'      => 'peccular_sports_section_imglbl',
            'section'       => 'peccular_sports_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Recommended Image Size: 411 X 570px', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting('peccular_sports_number',array('sanitize_callback' => 'peccular_sanitize_text','default' => 5));
$wp_customize->add_control(
    'peccular_sports_number',
    array(
        'settings'      => 'peccular_sports_number',
        'section'       => 'peccular_sports_section',
        'type'          => 'select',
        'label'         => __( 'Number Of Sports To Show', 'peccular-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//sports PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_sports_heading'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_sports_heading'.$i,
            array(
                'settings'      => 'peccular_sports_heading'.$i,
                'section'       => 'peccular_sports_section',
                'label'         => __( 'Sports ', 'peccular Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'peccular_sports_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    ); 
    $wp_customize->add_control(
        'peccular_sports_page'.$i,
        array(
            'settings'      => 'peccular_sports_page'.$i,
            'section'       => 'peccular_sports_section',
            'type'=> 'select',
            'label'         => __( 'Select Sports', 'peccular Premium' ),
            'choices' => $sportsSingleChoice,
        )
    ); 

}

    $wp_customize->add_setting( 'peccular_sports_button_enable',array(
        'default' => true,
        'sanitize_callback' => 'peccular_switch_sanitization'
    ) );
    $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_sports_button_enable',array(
        'label' => __( 'Button Display','peccular' ),
        'section' => 'peccular_sports_section'
    )));


$wp_customize->add_setting(
    'peccular_sports_button_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Learn More >>' )
    )
);
$wp_customize->add_control(
    'peccular_sports_button_text',
    array(
        'settings'      => 'peccular_sports_button_text',
        'section'       => 'peccular_sports_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular Premium' )
    )
);

  $wp_customize->add_setting( 'peccular_sports_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_sports_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_sports_section',
    ))); 

    $wp_customize->add_setting( 'peccular_sports_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_sports_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_sports_section',
    )));


 $wp_customize->add_setting('peccular_sports_image_opacity',array(
        'default' => 0.7,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_sports_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_sports_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

 $wp_customize->add_setting('peccular_sports_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_sports_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_sports_section', 
    ));


     $wp_customize->add_setting('peccular_sports_title_case',array(
        'default' => 'None',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_sports_title_case',array(
        'type' => 'select',
        'label' => __('sports Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_sports_section',
    ));  

addColorPalatOption($wp_customize, 'peccular_sports_heading_color1', 'peccular_sports_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_sports_title_color1', 'peccular_sports_section', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_sports_titleHover_color1', 'peccular_sports_section', 'Title Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_sports_btntxt_color', 'peccular_sports_section', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_sports_btnHvrtxt_color', 'peccular_sports_section', 'Button Hover Text Color ', '');

addColorPalatOption($wp_customize, 'peccular_sports_imgHvrOverly_color1', 'peccular_sports_section', 'Image Hover Overlay Color ', '');

 $wp_customize->add_setting('peccular_sports_padding',array(
      'sanitize_callback'   => 'esc_html'
   )); 
   $wp_customize->add_control('peccular_sports_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_sports_section'
   ));

    $wp_customize->add_setting('peccular_sports_top_padding',array(
        'default' => '6',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_sports_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_sports_section',
    ));
     $wp_customize->add_setting('peccular_sports_bottom_padding',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_sports_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_sports_section',
    ));

  $wp_customize->add_setting('peccular_sports_section_width',array(
        'default' => 'Box Width', 
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_sports_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_sports_section',
    ));
?>