<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3', 
  ));
 
//Bottom Header
    $wp_customize->add_section( 'peccular_sports_inner_pages' , array(
        'title'    => __( 'sports Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

$wp_customize->add_setting('peccular_sportsinnerpages_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_sportsinnerpages_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset sports Inner Pages Settings', 'peccular'),
  'description' => 'peccular_sportsinnerpages_reset_settings',
  'section' => 'peccular_sports_inner_pages'
)));
    

    $wp_customize->add_setting('peccular_sportsinnerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_sportsinnerpages_nav', array(
       'section' => 'peccular_sports_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'), 
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'sports_featured_img_on_off',
                'peccular_sportsinnerpage_post_image_height'  ,
                'peccular_sportsinninn_button_enable',
                'peccular_sportsinn_button_text'

            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_sportsinnpage_title_color',
                'peccular_sportsinnpage_titlehov_color',
                'peccular_sportsinnpage_overlay_color',
                'peccular_sportsinnpage_btntext_color',
                'peccular_sportsinnpage_btntexthov_color',
                'peccular_sportsinnpage_bxOverly_color1',
                'peccular_sportsinnpage_bxhvrOverly_color',

                'peccular_sportsinnpage_HoverimageOverlay_color'
                
            ),
         )
        ),
    )));




$wp_customize->add_setting( 'peccular_sportsinninn_button_enable',array(
        'default' => true,
        'sanitize_callback' => 'peccular_switch_sanitization'
    ) );
    $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_sportsinninn_button_enable',array(
        'label' => __( 'Button Display','peccular' ),
        'section' => 'peccular_sports_inner_pages'
    )));
$wp_customize->add_setting(
    'peccular_sportsinn_button_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Learn More >>' )
    )
);
$wp_customize->add_control(
    'peccular_sportsinn_button_text',
    array(
        'settings'      => 'peccular_sportsinn_button_text',
        'section'       => 'peccular_sports_inner_pages',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular Premium' )
    )
);


// $wp_customize->add_setting(
//     'sports_featured_img_on_off',
//     array(
//         'sanitize_callback' => 'peccular_sanitize_text',
//     )
// );
// $wp_customize->add_control(
//     new peccular_Switch_Control(
//         $wp_customize,
//         'sports_featured_img_on_off',
//         array(
//             'settings'      => 'sports_featured_img_on_off',
//             'section'       => 'peccular_sports_inner_pages',
//             'label'         => __( 'Show Thumbnail Image', 'peccular-premium' ),
//             'on_off_label'  => array(
//                 'on' => __( 'Yes', 'peccular-premium' ),
//                 'off' => __( 'No', 'peccular-premium' ) 
//             ),
//         ) 
//     )
// );


$wp_customize->add_setting('peccular_sportsinnerpage_post_image_height',array(
        'default' => 205,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_sportsinnerpage_post_image_height',array(
    'label' => __('Feature Image Height','peccular'),
    'section' => 'peccular_sports_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000, 
            'step' => 1,
        ),
    )));

addColorPalatOption($wp_customize, 'peccular_sportsinnpage_title_color', 'peccular_sports_inner_pages', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_sportsinnpage_titlehov_color', 'peccular_sports_inner_pages', 'Title Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_sportsinnpage_btntext_color', 'peccular_sports_inner_pages', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_sportsinnpage_btntexthov_color', 'peccular_sports_inner_pages', 'Button Text Hover Color', '');


addColorPalatOption($wp_customize, 'peccular_sportsinnpage_ThirdShapeBG_color1', 'peccular_sports_inner_pages', 'Shape 3 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_sportsinnpage_ThirdShapeBG_color2', 'peccular_sports_inner_pages', 'Shape 3 BG Color', '');

addColorPalatOption($wp_customize, 'peccular_sportsinnpage_HoverimageOverlay_color', 'peccular_sports_inner_pages', 'Image Hover Overlay Color', '');

?>