<?php
/**
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>
 
 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','413')) ?>px;
  "
  <?php endif ?> 
 <?php } ?>
  > 
 
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?>   
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?> 

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
</div>
<main id="innerpage-box">
	<div class="<?php if(get_theme_mod('peccular_inner_page_width','Full Width') == 'Full Width'){ ?> container-fluid <?php } elseif(get_theme_mod('peccular_inner_page_width','Full Width') == 'Box Width'){ ?> container <?php }?>">

		<div class="topContact_Box">
			<?php
			$peccular_leftcontactpage_maintitle = get_theme_mod('peccular_leftcontactpage_maintitle', 'CONTACT <span>US</span>');	

			$peccular_contact_page_address_label = get_theme_mod('peccular_contactpage_address_label', 'OFFICIAL ADDRESS ');
			$peccular_contact_page_address = get_theme_mod('peccular_contactpage_address', '504 White St . Dawville,VGA 30534 , New York');

			$peccular_contact_page_phone_label = get_theme_mod('peccular_contactpage_phone_label', 'CALL US');
			$peccular_contact_page_phone = get_theme_mod('peccular_contactpage_phone', '+11-1111-2222-333');	
			$peccular_contactpage_phone2 = get_theme_mod('peccular_contactpage_phone2', '+11-222-2222-333');	


			$peccular_contact_page_email_label = get_theme_mod('peccular_contactpage_email_label', 'EMAIL US');
			$peccular_contact_page_email = get_theme_mod('peccular_contactpage_email', 'vinor-office@example.com');					
			?>	
			<div class="top_CntctHead">
				<?php if($peccular_leftcontactpage_maintitle){ ?>
			                <h1><?php echo ($peccular_leftcontactpage_maintitle);  ?></h1>
			    <?php }?>
			</div>

			<div class="row">

						<?php if(!empty($peccular_contact_page_address_label || $peccular_contact_page_address)){ ?>

				<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 pd-0 peccular-contact-block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
					<div class="peccular-contact-area">
						<div class="content-inncntct-bx">
							<i class="fa fa-map-marker" aria-hidden="true"></i>
								<div class="conatct-innOverlay"></div>
								<div class="conatct-innOverlay2"></div>
							<!-- <div class="col-lg-2 col-md-3 col-sm-2">
								<i class="fa fa-globe" aria-hidden="true"></i>
							</div> -->
								<div class="contact_l_area">
									<?php echo ($peccular_contact_page_address_label);  ?>
								</div>
								<div class="contact_info_area">
									<?php echo ($peccular_contact_page_address);  ?><br>				
								</div>
						</div>
					</div>
				</div>
				<?php }?>

				<?php if(!empty($peccular_contact_page_email_label || $peccular_contact_page_email)){ ?>

				<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 pd-0 peccular-contact-block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
					<div class="peccular-contact-area">

						<div class="content-inncntct-bx">
							<i class="fa fa-envelope" aria-hidden="true"></i>
								<div class="conatct-innOverlay"></div>
								<div class="conatct-innOverlay2"></div>
							<!-- <div class="col-lg-2 col-md-3 col-sm-2">
								<i class="fa fa-envelope" aria-hidden="true"></i>
							</div> -->
								<div class="contact_l_area">
									<?php echo ($peccular_contact_page_email_label);  ?>
								</div>
								<div class="contact_info_area">
									<div class="cont-detail1">
									<a href="mailto:<?php echo $peccular_contact_page_email;?>"><?php echo ($peccular_contact_page_email);  ?></a>
									</div>	
										<div class="clearfix"></div>	
									<div class="cont-detail2">			
									<a href="mailto:<?php echo $peccular_contact_page_email_another;?>"><?php echo ($peccular_contact_page_email_another);  ?></a>
								</div>
								</div>
					
						</div>
					</div>
				</div>
				<?php }?>	
					<?php if(!empty($peccular_contact_page_phone_label || $peccular_contact_page_phone)){ ?>
				<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 pd-0 peccular-contact-block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
					<div class="peccular-contact-area">
							<div class="content-inncntct-bx">
								<i class="fa fa-phone" aria-hidden="true"></i>
								<div class="conatct-innOverlay"></div>
								<div class="conatct-innOverlay2"></div>
								<!-- <i class="fa fa-phone" aria-hidden="true"></i> -->
								<div class="contact_l_area">
									<?php echo ($peccular_contact_page_phone_label);  ?>
								</div>
								<div class="contact_info_area">
									<div class="cont-detail1">
									<a href="telto:<?php echo $peccular_contact_page_phone;?>"><?php echo ($peccular_contact_page_phone);  ?></a>	</br>
									<a href="telto:<?php echo $peccular_contact_page_phone;?>"><?php echo ($peccular_contactpage_phone2);  ?></a>
									</div>
									<div class="clearfix"></div>	
									<div class="cont-detail2">			
									<a href="telto:<?php echo $peccular_contact_page_phone_another;?>"><?php echo ($peccular_contact_page_phone_another);  ?></a>
									</div>
									
								</div>
							</div>
						
					</div>
				</div>
				<?php }?>
			</div>
			
		</div> 
		<div class="bottomContact_Box">
			<div class="bottomSide_head">
				<?php 
				$peccular_bottomcontactpage_maintitle = get_theme_mod('peccular_bottomcontactpage_maintitle', 'YOUR JOURNEY TO ACADEMIC <span> SUCCESS.</span>');
				?>
			<h2><?php echo ($peccular_bottomcontactpage_maintitle);  ?></h2>
			</div> 
			
			<div class="row md-1">
		<div class="col-xl-5 col-lg-5 col-md-5 col-sm-12 col-xs-12 leftcontact">
				 <div class="peccular-innercounter-imgbox <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>">	  			
								<?php 
								$peccular_innercontactLeft_image = get_theme_mod('peccular_innercontactLeft_image');
								if(!empty($peccular_innercontactLeft_image)){
									echo '<img class="cntct_imng" alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_innercontactLeft_image).'" class="img-responsive secondry-bg-img" />';
								}else{
									echo '<img class="cntct_imng" alt="About us" src="'.get_template_directory_uri().'/images/leftcontactnewimage.png" class="img-responsive" />';
								}
								?>									
							</div>	
		
		</div>

		<div class="col-xl-7 col-lg-7 col-md-7 col-sm-12 col-xs-12 rightcontact">
					<div class="peccular-innercontact-block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
						
						<?php 
						$peccular_contactpage_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add form shortcode on customiser');
						?>
						<div class="peccular-innercontact-member-wrap">
							<?php echo do_shortcode($peccular_contactpage_form_shortcode);?>
							<div class="clearfix"></div>
						</div>
					</div>
		</div><!-- rightcontact-->
				
				
	</div><!-- row -->
		</div>
	
		</div>
			<?php $peccular_contactpage_iframe_shortcode = get_theme_mod('peccular_contactpage_iframe_shortcode', 'Add Map Embed Code Here');
				 ?>
			<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
				<div class="mapTop_address">
					<?php 
					$peccular_mapTopAddress_maintitle = get_theme_mod('peccular_mapTopAddress_maintitle', '504 White St . Dawville,VGA 30534 , New York');
					?>
					<h1><?php echo ($peccular_mapTopAddress_maintitle);  ?></h1>
				</div>
						<?php if(!empty($peccular_contactpage_iframe_shortcode)){ ?>
						<div class="peccular-contact-mapbox <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
								<?php echo ($peccular_contactpage_iframe_shortcode);  ?>
							</div>
						<?php }?>
				</div>			
						
</main>
<?php get_footer(); ?>