<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */

?> 
<div class="footerareabox">

<!-- newsletter section end -->
<footer class="footer-area" id="footer">
		<div class="footer-bg"></div>
		<div class="BGOverlay"></div>
		    <div class="left_shape_1"></div>
    <div class="left_shape_2"></div>
    <div class="left_shape_3"></div>
    <div class="right_shape_1"></div>
    <div class="rgiht_shape_2"></div>

	<?php if(is_active_sidebar('peccular-footer1') || is_active_sidebar('peccular-footer2') || is_active_sidebar('peccular-footer3') || is_active_sidebar('peccular-footer4') ){ ?>
		
		<div class="top-area">
			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	



		<div class="newsletter-sign-box">
			<?php			
			$peccular_newsletter_page_id = get_theme_mod('peccular_newsletter_page');	
			$peccular_newsletter_maintitle = get_theme_mod('peccular_newsletter_maintitle', 'Subscribe to Our Newsletter');		
			$peccular_newsletter_text = get_theme_mod('peccular_newsletter_text', 'Enjoy 15% off* your first order when you sign up to our newsletter');	
			?>
				

					<div class="peccular-section-head">
						<?php if($peccular_newsletter_maintitle){ ?>
						<h2><?php echo ($peccular_newsletter_maintitle);  ?></h2>	
						<?php }?>
						<p><?php echo ($peccular_newsletter_text);  ?></p>
					</div>
				
				
				<?php
				$peccular_newsletter_shortcode = get_theme_mod('peccular_newsletter_shortcode', '[Add Form shortcode]');
				?>				
				<div class="peccular-newsletter-member-wrap">									
					<?php echo do_shortcode($peccular_newsletter_shortcode);?>
				</div>
		<div class="clearfix"></div>
		</div>

				<div class="row row-eq-height md-1">
					
				<div class="s-footer col-lg-4 col-md-4 col-sm-12 col-xs-12 single-footer-1 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="1s" >
						<?php if(is_active_sidebar('peccular-footer1')): 
							dynamic_sidebar('peccular-footer1');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-lg-2 col-md-2 col-sm-12 col-xs-12 single-footer-2 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
						<?php if(is_active_sidebar('peccular-footer2')): 
							dynamic_sidebar('peccular-footer2');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-lg-3 col-md-3 col-sm-12 col-xs-12 single-footer-3 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
						<?php if(is_active_sidebar('peccular-footer3')): 
							dynamic_sidebar('peccular-footer3');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-lg-3 col-md-3 col-sm-12 col-xs-12 single-footer-4 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
						<?php if(is_active_sidebar('peccular-footer4')): 
							dynamic_sidebar('peccular-footer4');
						endif;
						?>	
					</div> 
				</div>
 
			<!-- 	<div class="s-footer col-lg-3 col-md-6 col-sm-12 col-xs-12 single-footer-5 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
					
						<?php if(is_active_sidebar('peccular-footer5')): 
							dynamic_sidebar('peccular-footer5');
						endif;
						?>	
					</div>
				</div> -->
			<div class="clearfix"></div>
		</div>
	</div>
		<div class="clearfix"></div>
	
	<?php } ?>

	<div class="clearfix"></div>
				<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
		<?php if($footercopyright){ ?>
	<div class="bottom-area wow zoomIn">
			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	
			
				<div class="footer-text  <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_copyright_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Right') == 'Right'){ ?> right <?php } ?> ">
					
						<?php echo $footercopyright;?>
					
				</div>
			</div>
	</div>
	<?php } ?>

</div><!-- top area -->
	
</footer><!-- #colophon -->
</div>
<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>
<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lightgallery.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-autoplay.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-fullscreen.js" type="text/javascript" ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-thumbnail.js" type="text/javascript"  ></script>
    <script type="text/javascript">
        lightGallery(document.getElementById('products-austrak'), {
            subHtmlSelectorRelative: true,
            thumbnail:true
        });
        lightGallery(document.getElementById('products-sherings'), {
            subHtmlSelectorRelative: true
        }); 
        lightGallery(document.getElementById('products-austmark'), {
            subHtmlSelectorRelative: true
        }); 
    </script>   


    <script >
    	jQuery.noConflict();
    	const popup = document.querySelector('.popup');
const popupContent = document.querySelector('.popup_content');
const close = document.querySelector('.popup_close');
const popupImg = document.querySelector('.popup_img');
const Teams = document.querySelectorAll('.teams');
const name = document.querySelector('.detail_name');
const designation = document.querySelector('.detail_designation');
const experience = document.querySelector('.detail_experience');
const content = document.querySelector('.detail_content');
const socialicon = document.querySelector('.detail_socialicon');


Teams.forEach((list, index) => {
  const view = list.querySelector('.teams_click');
  const teamImage = list.querySelector('.team_img').getAttribute('src');
  const teamName = list.querySelector('.team_name').getAttribute('id');
  const teamDesignation = list.querySelector('.team_designation').getAttribute('id');
  const teamExperience = list.querySelector('.team_experience').getAttribute('id');
  const teamContent = list.querySelector('.team_content').getAttribute('id');
  const teamSocialicon = list.querySelector('.team_socialicon').getAttribute('id');

  

  view.addEventListener('click', () => {
    popup.classList.add('popup--bg');
    popupContent.classList.add('popup_content--show');
    popupImg.setAttribute('src', teamImage);

    name.innerText = teamName;
    designation.innerText = teamDesignation;
    experience.innerText = teamExperience;
    content.innerText = teamContent;
    socialicon.innerText = teamSocialicon;


  });
});

close.addEventListener('click', () => {
  popup.classList.remove('popup--bg');
  popupContent.classList.remove('popup_content--show');
});

popup.addEventListener('click', () => {
  popup.classList.remove('popup--bg');
  popupContent.classList.remove('popup_content--show');
});

    </script>


<?php wp_footer(); ?>
  <?php
    if(get_theme_mod('back_top_btn_on_off') != 'on' ){
  ?>
<a id="back2Top" title="Back to top" href="#"> &#10148; </a>
 <?php } ?> 
</body>
</html>