<?php
function sportsShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-sports');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_sports_number',5);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9: 
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();

                ?>
                <div class="<?php echo $colCls;?> serbrdr padding-1">
                           <div sports-match-height="groupName" class="peccular-sports-box <?php echo esc_attr(get_theme_mod('peccular_sports_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                               <!--  -->
                                 <div class="peccular-sports-image">
                                    <a href="<?php the_permalink(); ?>">
                                        <!--  <div class="rightTopBoxColor1"></div>   
                                        <div class="rightTopBoxColor2"></div>  
                                        <div class="rightTopBoxColor3"></div>
                                        <div class="class-img-overly"></div> -->
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $peccular_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/sportsfullimg.png';
                                        }
                                        ?>   
                                        <img class="peccular-sports-img" src="<?php echo esc_url($image_url); ?>" alt="sports" style="height: <?php echo esc_attr(get_theme_mod('peccular_sports_post_image_height','205')) ?>px;" />

                                       <!--  <div class="peccular-sportsFront-image">
                                            <?php 
                                                $peccular_sportsFrontImage_icon = get_theme_mod('peccular_sportsFrontImage_icon');
                                                if(!empty($peccular_sportsFrontImage_icon)){
                                                    echo '<img class="sports_front_image" alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_sportsFrontImage_icon).'" class="img-responsive secondry-bg-img" />';
                                                }else{
                                                    echo '<img class="sports_front_image" alt="featured" src="'.get_template_directory_uri().'/images/oursports_Front.png" class="img-responsive" />';
                                                }

                                            ?>                           
                                        </div> -->

                                          <div class="peccular-sports-content" style="text-align: <?php if(get_theme_mod('peccular_sports_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_sports_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_sports_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
                                        <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_sports_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_sports_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_sports_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_sports_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                                    </h4> 
                                    <!-- <div class="peccular-sports-contenttext">
                                    <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_sports_post_excerpt','20')) ) ); ?></p>
                                 </div>  -->

                                        <?php
                                             $peccular_sports_button_text = get_theme_mod('peccular_sports_button_text', 'Learn More >>'); ?>
                                          <?php if( get_theme_mod('peccular_sports_button_enable',true) == true){ ?>
                                            <div class="cls-btn">
                                            <a href="<?php the_permalink(); ?>" class="read-btn"><?php echo ($peccular_sports_button_text );  ?></a>
                                            </div>

                                        <?php }?>                                 
                                </div>
                                 <div class="clearfix"></div>
                                    </a>
                                </div><!-- peccular-sports-image -->
                                     <div class="clearfix"></div>
                                
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[sports-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
        <?php
    endwhile; 
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function sportsInnerpgeShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-sports');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_sports_number',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
               ?> 
            <div class="row">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');

                 if ($isCustomizer === true) {
                    $sports_area_designation = get_theme_mod('sports_area_designation' . $i);
                } else {
                    $sports_area_designation = '';
                }

 
                $post = get_post();

                    //designation
                $designation = get_post_meta($post->ID, 'designation', false);
                $sports_area_designation = !empty($designation[0]) ? $designation[0] : '';

                ?>
                <div class="<?php echo $colCls;?> pd-1"> 
                           <div  sports-match-height="groupName" class="peccular-sports-box <?php echo esc_attr(get_theme_mod('peccular_sports_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                                 <div class="peccular-sports-image">
                                    <a href="<?php the_permalink(); ?>">
                                        <!-- <div class="rightTopBoxColor1"></div>   
                                        <div class="rightTopBoxColor2"></div>  
                                        <div class="rightTopBoxColor3"></div>
                                         <div class="class-img-overly"></div> -->
                                        
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $peccular_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/sports1.jpg';
                                        }
                                        ?>      
                                        <img class="peccular-sports-img" src="<?php echo esc_url($image_url); ?>" alt="sports" style="height: <?php echo esc_attr(get_theme_mod('peccular_sportsinnerpage_post_image_height','205')) ?>px;" />
                                            <div class="ovrlyT"></div>
                                            <div class="ovrlyB"></div>
                                        
                                      <div class="peccular-sports-content" style="text-align: <?php if(get_theme_mod('peccular_sports_page_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_sports_page_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_sports_page_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
                                                                             

                                        <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_sports_page_title_case','capitalize') == 'capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_sports_page_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_sports_page_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                                        </h4>
                                         <!-- <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_sports_post_excerpt','20')) ) ); ?> -->
                                            
                                        </p> 
                                   <div class="clearfix"></div>
                                   <?php
                                    $peccular_sportsinn_button_text = get_theme_mod('peccular_sportsinn_button_text', 'Learn More >>'); 
                                ?>
                                <?php if( get_theme_mod('peccular_sportsinninn_button_enable',true) == true){ ?>
                                    <div class="sports_inn_btn">
                                    <a href="<?php the_permalink(); ?>" class="sports-view-btn"><?php echo ($peccular_sportsinn_button_text );  ?>
                                    </a>
                                   </div>
                                <?php }?>
                                    
                                </div>
                                   <div class="clearfix"></div>
                                    </a>

                                   
                                
                                </div><!-- div peccular-sports-image-->
                                <div class="clearfix"></div>
                                                                
                                
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[sports-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();
 
$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
       <?php
    endwhile;
    ?>
    <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('SPORTS', 'sportsInnerpgeShortCode');