<?php 
    $wp_customize->add_section(
        'peccular_about_section',
        array(
            'title' => __( 'About Us', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>20
        )
    ); 
 

$wp_customize->add_setting('peccular_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));
 
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_about_nav', array(
       'section' => 'peccular_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_about_enable',
                'peccular_about_image',                
                'peccular_about_section_title1',
                'peccular_about_head_icon_enable',
                'peccular_about_head_icon',
                'peccular_about_subtitle',
                'peccular_about_listTitle',
                'peccular_about_text',
                'peccular_about_texttext',
                'peccular_about_page_list',                
                'peccular_about_btn_txt',
                'peccular_about_btnlink',
                'peccular_about_section_title2',
                'peccular_about_pagelistleft1',
                'peccular_about_pagelistright1',
                'peccular_aboutcoach_image',
                'peccular_coachDetails_lbl',
                'peccular_about_section_lbl1',
                'peccular_about_phone',
                'peccular_about_phone_text',
                'peccular_about_section_lbl3',
                'abtservtitle1',
                'abtservtitle2',
                'abtcoachName',
                'abtservtext1',
                'abtservtext2',
                'abtcoachDesigntion',
                'abtservicon1',
                'abtservicon2',
                'abtservicon3',
                'abtexpenum',
                // 'abtexpetext'

            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_about_section_bg_color',
                'peccular_about_section_bg_image',
                'peccular_about_image_opacity',                
                'peccular_about_box_onload_effects',
                'peccular_about_head_align',
                'peccular_about_title_case',
                'peccular_about_heading_color',
                'peccular_about_aboutBody_color',
                'peccular_about_subheading_color',
                'peccular_about_text_color',
                'peccular_about_list_color',
                'peccular_about_listTitle_color',
                'peccular_about_listicon_color',
                'peccular_about_coachName_color',
                'peccular_about_coachDesgn_color',
                'peccular_about_RighttopShape1_color1',
                'peccular_about_RighttopShape2_color2',
                'peccular_about_rightboxbg_color',
                'peccular_about_rightboxtext_color',
              
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_about_padding',
                'peccular_about_top_padding',
                'peccular_about_bottom_padding',
                'peccular_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_about_enable',array(
    'default' => true, 
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_about_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_about_section'
)));

    $wp_customize->add_setting( 'peccular_about_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image', array(
        'label' => __('Right About Image','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting('peccular_about_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_about_section_lbl1',
        array(
            'settings'      => 'peccular_about_section_lbl1',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take First Image size 520px x 476px  ', 'peccular Premium' ),
        )
    )
);


$wp_customize->add_setting(
    'peccular_about_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'About Us', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title1',
    array(
        'settings'      => 'peccular_about_section_title1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_about_section_title2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Dedicated To Serving The Tennis Community !', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title2',
    array(
        'settings'      => 'peccular_about_section_title2',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Dedicated To Serving The Tennis CommunityLorem Ipsum is simply dummy text of the printing and typesetting industry. ', 'peccular-premium' )
    )
); 
$wp_customize->add_control(
    'peccular_about_subtitle',
    array(
        'settings'      => 'peccular_about_subtitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);


$wp_customize->add_setting(
    'abtexpenum',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '25+ YEARS <span>Experience</span>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtexpenum',
    array(
        'settings'      => 'abtexpenum',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Experience Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_about_listTitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Best Quality', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_listTitle',
    array(
        'settings'      => 'peccular_about_listTitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'List Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_pagelistleft1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
           <li>Dedicated To Serving </li>
            <li>The Tennis Community Lorem</li>
            </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_pagelistleft1',
    array(
        'settings'      => 'peccular_about_pagelistleft1',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Bullet Points List 1', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_pagelistright1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
           <li>Dedicated To Serving </li>
            <li>The Tennis Community Lorem</li>
            </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_pagelistright1',
    array(
        'settings'      => 'peccular_about_pagelistright1',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Bullet Points List 2', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_coachDetails_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_coachDetails_lbl',
        array(
            'settings'      => 'peccular_coachDetails_lbl',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Coach Details: ', 'peccular' ),
        )
    )
); 

$wp_customize->add_setting( 'peccular_aboutcoach_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_aboutcoach_image', array(
        'label' => __('Image','peccular-premium'),
       'section' => 'peccular_about_section',
    )));

$wp_customize->add_setting(
    'abtcoachName',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Betty G. Schulz', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtcoachName',
    array(
        'settings'      => 'abtcoachName',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Name', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'abtcoachDesigntion',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Academy Coach', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtcoachDesigntion',
    array(
        'settings'      => 'abtcoachDesigntion',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Designation', 'peccular-premium' )
    )
);

// about services end



// $wp_customize->add_setting(
//     'abtexpetext',
//     array(
//         'sanitize_callback' => 'peccular_sanitize_text',
//         'default'           => __( 'Experience', 'peccular-premium' )
//     )
// );
// $wp_customize->add_control(
//     'abtexpetext',
//     array(
//         'settings'      => 'abtexpetext',
//         'section'       => 'peccular_about_section', 
//         'type'          => 'text',
//         'label'         => __( 'Right Text', 'peccular-premium' )
//     )
// );

    $wp_customize->add_setting( 'peccular_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_about_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting( 'peccular_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_about_section',
    )));


    $wp_customize->add_setting('peccular_about_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_about_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));



// to show & hide another button
// $wp_customize->add_setting( 'peccular_about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_about_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_about_section', 'settings' => 'peccular_about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
    // $wp_customize->add_setting(
    //     'peccular_about_btn_txt',
    //     array(
    //         'sanitize_callback' => 'peccular_sanitize_text',
    //         'default'           => __( 'Read More' )
    //     )
    // );
    // $wp_customize->add_control(
    //     'peccular_about_btn_txt',
    //     array(
    //         'settings'      => 'peccular_about_btn_txt',
    //         'section'       => 'peccular_about_section',
    //         'type'          => 'text',
    //         'label'         => __( 'Button Text', 'peccular-premium' )
    //     )
    // );
    // $wp_customize->add_setting('peccular_about_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
    // $wp_customize->add_control('peccular_about_btnlink',
    //     array(
    //         'settings'      => 'peccular_about_btnlink',
    //         'section'       => 'peccular_about_section',
    //         'type'          => 'url',
    //         'label'         => __( 'Add Button link here', 'peccular-premium' )
    //     )
    // );

    $wp_customize->add_setting('peccular_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_head_align',array(
        'type' => 'select',
        'label' => __('Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_title_case',array(
        'default' => 'None',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_title_case',array(
        'type' => 'select',
        'label' => __('About Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_about_section',
    ));


    $wp_customize->add_setting('peccular_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_about_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_about_section'
   ));
   
    $wp_customize->add_setting('peccular_about_top_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_about_section',
    ));
     $wp_customize->add_setting('peccular_about_bottom_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Full Width','peccular'),
            'Full Width' => __('Box Width','peccular')
        ),
        'section' => 'peccular_about_section',
    ));


addColorPalatOption($wp_customize, 'peccular_about_aboutBody_color', 'peccular_about_section', 'About Body Color', '');

addColorPalatOption($wp_customize, 'peccular_about_heading_color', 'peccular_about_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_subheading_color', 'peccular_about_section', ' Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_text_color', 'peccular_about_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_listTitle_color', 'peccular_about_section', 'List Title Color', '');

addColorPalatOption($wp_customize, 'peccular_about_list_color', 'peccular_about_section', 'List Color', '');

addColorPalatOption($wp_customize, 'peccular_about_listicon_color', 'peccular_about_section', 'List Icon color', '');
addColorPalatOption($wp_customize, 'peccular_about_coachName_color', 'peccular_about_section', 'Coach Name Color', '');
addColorPalatOption($wp_customize, 'peccular_about_coachDesgn_color', 'peccular_about_section', 'Coach Designation Color', '');

addColorPalatOption($wp_customize, 'peccular_about_RighttopShape1_color1', 'peccular_about_section', 'Left Top Shape Color', '');
addColorPalatOption($wp_customize, 'peccular_about_RighttopShape2_color2', 'peccular_about_section', 'Left Top Shape Color', '');
addColorPalatOption($wp_customize, 'peccular_about_rightboxbg_color', 'peccular_about_section', 'Experience Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_rightboxtext_color', 'peccular_about_section', 'Experience Box Text Color', '');
?>