<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));  

//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );
    

    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
               
                'peccular_leftcontactpage_maintitle',
                'peccular_topBoxData_lbl',
                'peccular_contactpage_address_label',
                'peccular_contactpage_address',
                'peccular_contactpage_email_label',
                'peccular_contactpage_email',
                'peccular_contactpage_phone_label',
                'peccular_contactpage_phone',
                'peccular_contactpage_phone2',
                'peccular_innercontactLeft_image',
                'peccular_middleBoxData_lbl',
                'peccular_contactpage_form_shortcode',
                'peccular_contactpage_iframe_shortcode',
                'peccular_bottomcontactpage_maintitle',
                'peccular_mapTopAddress_maintitle'
            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 

                'peccular_contactpage_box_onload_effects',
                'peccular_contactpage_head_align',
                'peccular_leftcontactpage_head_align',
                'peccular_Topcontactpagecolor_heading',
                'peccular_contactpagetop_heading_color',
                'peccular_contactpagetopSpan_heading_color',
                'peccular_EmailPhnAddresIcon_subheading_color',
                'peccular_contactpageleft_formtext_color',
                'peccular_contactpageleft_formborder_color',
                'peccular_contactpageleft_btntext_color',
                'peccular_contactpageleft_btnbg_color',
                'peccular_contactpageleft_btnhovtext_color',
                'peccular_contactpageleft_btnhovbg_color',
                'peccular_contactpageright_callboxbg_color',
                'peccular_contactpageright_callicon_color',
                'peccular_contactpageright_calliconbg_color',
                'peccular_contactpageleft_subheading_color',
                'peccular_EmailPhnAddreslabel_color',
                'peccular_EmailPhnAddresText_color',
                'peccular_EmailPhnAddresHover_color',
                'peccular_topContctBGBX_color1',
                'peccular_topContctBGBX_color2',
                'peccular_middlecontactpagecolor_heading',
                'peccular_ContctFormHeading_color',
                'peccular_ContctFormHeadingSpan_color',
                'peccular_mapHeading_color',
                
            ),
         )
        ),
    )));


$wp_customize->add_setting('peccular_topBoxData_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_topBoxData_lbl',
        array(
            'settings'      => 'peccular_topBoxData_lbl',
            'section'       => 'peccular_contact_pages',
            'label'         => __( 'Top Box Content', 'peccular' ),
        )
    )
); 

    $wp_customize->add_setting(
        'peccular_leftcontactpage_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'CONTACT <span>US</span>', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_leftcontactpage_maintitle',
        array(
            'settings'      => 'peccular_leftcontactpage_maintitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Top Box Heading', 'peccular' )
        )
    );


    // Contact Top DEtails Email, Location,Phone

    $wp_customize->add_setting(
    'peccular_contactpage_address_label',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'OFFICIAL ADDRESS ', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address_label',
    array(
        'settings'      => 'peccular_contactpage_address_label',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Address Label', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_address',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '504 White St . Dawville,VGA 30534 , New York', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address',
    array(
        'settings'      => 'peccular_contactpage_address',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Text', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contactpage_email_label',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'EMAIL US', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_email_label',
    array(
        'settings'      => 'peccular_contactpage_email_label',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email label', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_email',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'vinor-office@example.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_email',
    array(
        'settings'      => 'peccular_contactpage_email',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email Text', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contactpage_phone_label',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'CALL US', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_phone_label',
    array(
        'settings'      => 'peccular_contactpage_phone_label',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone label', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_phone',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+11-1111-2222-333', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_phone',
    array(
        'settings'      => 'peccular_contactpage_phone',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number 1', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_phone2',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+11-222-2222-333', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_phone2',
    array(
        'settings'      => 'peccular_contactpage_phone2',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number 2', 'peccular' )
    )
);


$wp_customize->add_setting('peccular_middleBoxData_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_middleBoxData_lbl',
        array(
            'settings'      => 'peccular_middleBoxData_lbl',
            'section'       => 'peccular_contact_pages',
            'label'         => __( 'Middle Box Content', 'peccular' ),
        )
    )
);


    $wp_customize->add_setting(
        'peccular_bottomcontactpage_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'YOUR JOURNEY TO ACADEMIC <span> SUCCESS.</span>', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_bottomcontactpage_maintitle',
        array(
            'settings'      => 'peccular_bottomcontactpage_maintitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Contact Form Heading', 'peccular' )
        )
    );

$wp_customize->add_setting( 'peccular_innercontactLeft_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_innercontactLeft_image', array(
        'label' => __('left Image','peccular'),
       'section' => 'peccular_contact_pages',
    )));


    $wp_customize->add_setting(
        'peccular_contactpage_form_shortcode',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Add form shortcode here', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_form_shortcode',
        array(
            'settings'      => 'peccular_contactpage_form_shortcode',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Form Shortcode ', 'peccular' )
        )
    );

            $wp_customize->add_setting(
        'peccular_mapTopAddress_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( '504 White St . Dawville,VGA 30534 , New York', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_mapTopAddress_maintitle',
        array(
            'settings'      => 'peccular_mapTopAddress_maintitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Map Top Address', 'peccular' )
        )
    );


$wp_customize->add_setting('peccular_contactpage_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('peccular_contactpage_iframe_shortcode', array('settings'=>'peccular_contactpage_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));


$wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

   
    $wp_customize->add_setting(
        'peccular_Topcontactpagecolor_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_Topcontactpagecolor_heading',
            array(
                'settings'      => 'peccular_Topcontactpagecolor_heading',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Top Box Contact Colors', 'peccular Premium' ),
    ))); 

addColorPalatOption($wp_customize, 'peccular_contactpagetop_heading_color', 'peccular_contact_pages', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagetopSpan_heading_color', 'peccular_contact_pages', 'Heading Span Color', '');
addColorPalatOption($wp_customize, 'peccular_EmailPhnAddresIcon_subheading_color', 'peccular_contact_pages', 'Phone, Email, Address Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_EmailPhnAddreslabel_color', 'peccular_contact_pages', 'Phone, Email, Address Label Color', '');
addColorPalatOption($wp_customize, 'peccular_EmailPhnAddresText_color', 'peccular_contact_pages', 'Email, Address Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_EmailPhnAddresHover_color', 'peccular_contact_pages', 'Email,Phone Hover Color ', '');
addColorPalatOption($wp_customize, 'peccular_topContctBGBX_color1', 'peccular_contact_pages', 'Top Contact Box BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_topContctBGBX_color2', 'peccular_contact_pages', 'Top Contact Box BG Color ', '');


    $wp_customize->add_setting(
        'peccular_middlecontactpagecolor_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_middlecontactpagecolor_heading',
            array(
                'settings'      => 'peccular_middlecontactpagecolor_heading',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Middle Box Contact Colors', 'peccular Premium' ),
    ))); 

addColorPalatOption($wp_customize, 'peccular_ContctFormHeading_color', 'peccular_contact_pages', 'Form Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_ContctFormHeadingSpan_color', 'peccular_contact_pages', 'Form Heading Span Color', '');



addColorPalatOption($wp_customize, 'peccular_contactpageleft_formtext_color', 'peccular_contact_pages', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_formborder_color', 'peccular_contact_pages', 'Form Border color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btntext_color', 'peccular_contact_pages', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnbg_color', 'peccular_contact_pages', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnhovtext_color', 'peccular_contact_pages', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnhovbg_color', 'peccular_contact_pages', 'Button Hover BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_mapHeading_color', 'peccular_contact_pages', 'Map Heading Color ', '');
?>