<?php 
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package peccular Premium
 */ 
get_header(); ?> 
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <div class="innerbgshape innerbg_shape">
        <!-- <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="553.901" height="257.427" viewBox="0 0 553.901 257.427">
  <defs>
    <linearGradient id="linear-gradient" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#fff"/>
      <stop offset="1" stop-color="gray" stop-opacity="0"/>
    </linearGradient>
    <linearGradient id="linear-gradient-2" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#fff"/>
      <stop offset="1" stop-opacity="0"/>
    </linearGradient>
    <linearGradient id="linear-gradient-3" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#fff" stop-opacity="0"/>
      <stop offset="1" stop-color="gray"/>
    </linearGradient>
    <linearGradient id="linear-gradient-4" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="red"/>
      <stop offset="1" stop-opacity="0"/>
    </linearGradient>
    <linearGradient id="linear-gradient-5" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#0077dc"/>
      <stop offset="1" stop-color="#242424"/>
    </linearGradient>
    <linearGradient id="linear-gradient-6" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#008aff"/>
      <stop offset="1" stop-color="#242424"/>
    </linearGradient>
  </defs>
  <path id="Path_69" data-name="Path 69" d="M240.114,0h1.462L62.462,257.427H61Z" transform="translate(247.898)" fill="url(#linear-gradient)"/>
  <path id="Path_76" data-name="Path 76" d="M190.114,0h39.812L50.812,257.427H11Z" transform="translate(255.713)" opacity="0.05" fill="url(#linear-gradient-2)"/>
  <path id="Path_74" data-name="Path 74" d="M147.545,0h1.71L60.71,137.972H59Z" transform="translate(90.322 89.542)" opacity="0.3" fill="url(#linear-gradient-3)"/>
  <path id="Path_70" data-name="Path 70" d="M179.114,0h62.054L62.054,257.427H0Z" transform="translate(312.733)" fill="url(#linear-gradient-4)"/>
  <path id="Path_81" data-name="Path 81" d="M249.114,0h72.025L142.025,257.427H70Z" transform="translate(-16.31)" fill="url(#linear-gradient-5)"/>
  <path id="Path_80" data-name="Path 80" d="M273.114,0H327.5L148.384,257.427H94Z" transform="translate(-94)" fill="url(#linear-gradient-6)"/>
</svg> -->
    </div>
    <header class="page-main-header" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','413')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >
     
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?> 
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                
            </div>
        </div>
 <?php } ?>   

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
<div class="clearfix"></div>
</div>
<main id="innerpage-box">
	    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>" >
           <div class="inner_contentbox">

    <?php if (get_theme_mod('peccular__page_layout') == '1' ) { ?>
        <div class="row">

        <div class="col-md-3">
            <?php  get_sidebar(); ?>
        </div>
        <div id="content-box" class="col-md-9 innerpage-whitebox">
            <?php while ( have_posts() ) : the_post(); ?>
              <?php get_template_part( 'template-parts/content', 'page' ); ?>
                <?php
            // If comments are open or we have at least one comment, load up the comment template.
                if ( comments_open() || get_comments_number() ) :
                    comments_template();
                endif;
                ?>
            <?php endwhile; // End of the loop. ?>
        </div><!-- #main -->
        <div class="clearfix"></div>
        </div>

    <?php } else if (get_theme_mod('peccular__page_layout') == '0' ) {?>

        <div id="content-box" class="innerpage-whitebox main-timeline pd-0">
            <?php while ( have_posts() ) : the_post(); ?>
                <?php get_template_part( 'template-parts/content', 'page' ); ?>
                <?php
                // If comments are open or we have at least one comment, load up the comment template.
                if ( comments_open() || get_comments_number() ) :
                    comments_template();
                endif;
                ?>
            <?php endwhile; // End of the loop. ?>
            <div class="clearfix"></div>
        </div><!-- #main -->

         <?php } if (get_theme_mod('peccular__page_layout') == '2' ) { ?>
             <div class="row">
                <div id="content-box" class="col-md-9 innerpage-whitebox">
                <?php while ( have_posts() ) : the_post(); ?>
                    <?php get_template_part( 'template-parts/content', 'page' ); ?>
                    <?php
                        // If comments are open or we have at least one comment, load up the comment template.
                    if ( comments_open() || get_comments_number() ) :
                        comments_template();
                    endif;
                    ?>
                <?php endwhile; // End of the loop. ?>
            </div><!-- #main -->
            <div class="col-md-3">
                <?php  get_sidebar(); ?>
            </div>
            <div class="clearfix"></div>
            </div>

<?php } ?>
		
		<div class="clearfix"></div>
		
		<div class="pagingation">
    		<?php lzGetPagination($query);?>
		</div>
            <div class="clearfix"></div>
    </div>
	</div>
</main><!-- #main -->
<?php get_footer(); ?>
