<?php
/**
 *
 * @package Slider Premium
 */
?>
<?php $showContent = get_theme_mod('slider_section_show_content', 'on'); ?>
<div class="slider-area" id="slider">

    <div class="<?php if(get_theme_mod('peccular_slider_section_width','Full Width') == 'Full Width'){ ?>container-fluid pd-0 <?php } elseif(get_theme_mod('peccular_slider_section_width','Full Width') == 'Box Width'){ ?> container <?php }?>">

    <section class="hero-slider hero-style">
        <div class="bgshape">
            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="1459.047" height="621.893" viewBox="0 0 1459.047 621.893">
  <defs>
    <linearGradient id="linear-gradient" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#fff"></stop>
      <stop offset="1" stop-color="gray" stop-opacity="0"></stop>
    </linearGradient>
    <linearGradient id="linear-gradient-2" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#fff"></stop>
      <stop offset="1" stop-opacity="0"></stop>
    </linearGradient>
    <linearGradient id="linear-gradient-3" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#fff" stop-opacity="0"></stop>
      <stop offset="1" stop-color="gray"></stop>
    </linearGradient>
    <linearGradient id="linear-gradient-6" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="red"></stop>
      <stop offset="1" stop-opacity="0"></stop>
    </linearGradient>
    <linearGradient id="linear-gradient-7" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#0077dc"></stop>
      <stop offset="1" stop-color="#242424"></stop>
    </linearGradient>
    <linearGradient id="linear-gradient-8" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#008aff"></stop>
      <stop offset="1" stop-color="#242424"></stop>
    </linearGradient>
  </defs>
  <path id="Path_69" data-name="Path 69" d="M493.7,0h3.531L64.531,621.893H61Z" transform="translate(453.311)" fill="url(#linear-gradient)"></path>
  <path id="Path_76" data-name="Path 76" d="M443.7,0h96.177l-432.7,621.893H11Z" transform="translate(401.401)" opacity="0.05" fill="url(#linear-gradient-2)"></path>
  <path id="Path_73" data-name="Path 73" d="M274.907,0h1.746L62.746,333.314H61Z" transform="translate(-61 216.316)" opacity="0.2" fill="url(#linear-gradient-3)"></path>
  <path id="Path_74" data-name="Path 74" d="M272.907,0h4.131L63.131,333.314H59Z" transform="translate(69.809 216.316)" opacity="0.3" fill="url(#linear-gradient-3)"></path>
  <path id="Path_72" data-name="Path 72" d="M493.7,0h22.061L83.061,621.893H61Z" transform="translate(932.164)" opacity="0.1" fill="url(#linear-gradient)"></path>
  <path id="Path_68" data-name="Path 68" d="M116.559,0H0L432.7,621.893H549.264Z" transform="translate(909.783)" fill="none" opacity="0.2"></path>
  <path id="Path_70" data-name="Path 70" d="M432.7,0H582.616l-432.7,621.893H0Z" transform="translate(523.576)" fill="url(#linear-gradient-6)"></path>
  <path id="Path_77" data-name="Path 77" d="M502.7,0h174L244,621.893H70Z" transform="translate(740.778)" fill="url(#linear-gradient-7)"></path>
  <path id="Path_78" data-name="Path 78" d="M526.7,0H658.087l-432.7,621.893H94Z" transform="translate(587.074)" fill="url(#linear-gradient-8)"></path>
</svg>
        </div>
    <div class="swiper-container">
      <div class="swiper-wrapper">
 
        <?php
        $args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
        if(!empty($pageId)){
            $args['page_id'] = absint($pageId);

        }
        $text = '';
        $query = new WP_Query($args);
        if($query->have_posts()){
            while($query->have_posts()) : $query->the_post(); 

                 $slider1btntext = get_post_meta($post->ID, 'slider1btntext', false);
                 $test_slider1btntext = !empty($slider1btntext[0]) ? $slider1btntext[0] : '';

                 $slider2btntext = get_post_meta($post->ID, 'slider2btntext', false);
                 $test_slider2btntext = !empty($slider2btntext[0]) ? $slider2btntext[0] : '';

                ?>
            <div class="swiper-slide">
                    <div class="slide-inner slide-bg-image">
                      
                       <div class="sliderimg">
                         <!-- <div class="hero-overlay"></div> -->
                            <?php 
                            if(has_post_thumbnail()){
                                $total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');  
                                echo '<img class="slide-mainimg" alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
                            }?>
                        </div>
           
                        <?php if($showContent == 'on'){?>
                            <div class="slider-inner-mainbox">                              
                            <div class="slider-inner-box">
                                <div class="slide-title animated fadeInDownBig">
                                    <h2><?php echo (get_the_title()); ?></h2>                                   
                                </div>
                                <div class="slide-text animated fadeInLeftBig"><p><?php echo (get_the_content()); ?></p></div>
                                <div class="clearfix"></div>  
                                
                            <?php
                                $sliderbtn1url = get_post_meta($post->ID, 'sliderbtn1url', false);
                                $slider1_btn_url = !empty($sliderbtn1url[0]) ? $sliderbtn1url[0] : '';
                               
                                $sliderbtn2url = get_post_meta($post->ID, 'sliderbtn2url', false);
                                $slider2_btn_url = !empty($sliderbtn2url[0]) ? $sliderbtn2url[0] : '';

                            ?>
                            <div class="sliderbuttons"> 
                                <?php if ($slider1_btn_url) { ?>
                                  <div class="slide-btns-1 animated fadeInDownBig"> 
                                    <a class="moreabt" href="<?php echo $slider1_btn_url; ?>"><?php echo ($test_slider1btntext); ?><i class="fa fa-angle-double-right" aria-hidden="true"></i></a>
                                   </div> 
                                <?php } ?>

                                <?php if ($slider2_btn_url) { ?>
                                    <div class="slide-btns-2 animated fadeInDownBig">
                                      <a class="ourserv" href="<?php echo $slider2_btn_url; ?>"><?php echo ($test_slider2btntext); ?> <i class="fa fa-angle-double-right" aria-hidden="true"></i>                                         
                                      </a>                                       
                                    </div>
                                <?php }?>
                            </div>
                                
                            </div>
                        </div>
                            <?php }?>
                        

                    </div>
                </div>

                    <?php
                endwhile;
            }else{ 
                for($i=0;$i<1;$i++){?>

                    <div class="swiper-slide">
                    <div class="slide-inner slide-bg-image">
                      
                        <div class="sliderimg">
                             <div class="hero-overlay"></div>
                            <?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/indoorslider.png">';?>
                        </div>
            
                    <?php if($showContent == 'on'){ ?>
                        <div class="slider-inner-mainbox">
                               
                            <div class="slider-inner-box">
                                <div class="slide-title animated fadeInDownBig"><h2>Elevate Your <span>Game</span>, Indoors.</h2>                                    
                                </div>
                                <div class="slide-text animated fadeInLeftBig"><p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by</p></div>  
                                <div class="clearfix"></div>                               
                              
                            <div class="sliderbuttons">
                                <div class="slide-btns-1 animated fadeInDownBig"><a class="moreabt" href="">Book Appointment <i class="fa fa-angle-double-right" aria-hidden="true"></i></a></div>

                                <div class="slide-btns-2 animated fadeInDownBig"><a class="ourserv" href="">Learn More <i class="fa fa-angle-double-right" aria-hidden="true"></i></a></div>
                            </div>
                                 <div class="clearfix"></div>
                            </div>
                             <div class="clearfix"></div>
                        </div>
                        <?php }?>
                    </div>
                </div>
                <?php }
            }?>
    </div>
        <div class="swiper-pagination"></div>
       <div class="swiper-button-next"></div>
        <div class="swiper-button-prev"></div> 
</div>
</section>
		

	</div>
</div>